<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.oa.mapper.OaCustomerMapper">

    <resultMap type="com.ruoyi.oa.domain.OaCustomer" id="OaCustomerResult">
        <result property="customerId" column="customer_id"/>
        <result property="name" column="name"/>
        <result property="followUpStatus" column="follow_up_status"/>
        <result property="contactLastTime" column="contact_last_time"/>
        <result property="contactLastContent" column="contact_last_content"/>
        <result property="contactNextTime" column="contact_next_time"/>
        <result property="ownerUserId" column="owner_user_id"/>
        <result property="ownerTime" column="owner_time"/>
        <result property="dealStatus" column="deal_status"/>
        <result property="mobile" column="mobile"/>
        <result property="telephone" column="telephone"/>
        <result property="qq" column="qq"/>
        <result property="wechat" column="wechat"/>
        <result property="email" column="email"/>
        <result property="areaId" column="area_id"/>
        <result property="detailAddress" column="detail_address"/>
        <result property="industryId" column="industry_id"/>
        <result property="level" column="level"/>
        <result property="source" column="source"/>
        <result property="remark" column="remark"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="delFlag" column="del_flag"/>
    </resultMap>


    <select id="selectVoPageToUser" resultType="com.ruoyi.oa.domain.vo.OaCustomerVo">
        select oc.customer_id,
               nick_name,
               name,
               follow_up_status,
               contact_last_time,
               contact_last_content,
               contact_next_time,
               owner_user_id,
               owner_time,
               deal_status,
               mobile,
               telephone,
               qq,
               wechat,
               oc.email,
               area_id,
               detail_address,
               industry_id,
               level,
               source,
               oc.remark,
               oc.create_by,
               oc.create_time,
               oc.update_by,
               oc.update_time,
               oc.del_flag
        from oa_customer oc
                 left join fad_oa.sys_user su on oc.owner_user_id = su.user_id
            ${ew.getCustomSqlSegment}
    </select>


</mapper>
